### Struct

# Ide CodeIndexEntryBuilder

#### Description

    struct IdeCodeIndexEntryBuilder {
      /* No available fields */
    }

No description available.

#### Constructors

###### ide_code_index_entry_builder_new

No description available.

#### Instance methods

###### ide_code_index_entry_builder_build

Creates an immutable `IdeCodeIndexEntry` from the builder content.

Available since: 3.32

###### ide_code_index_entry_builder_copy

No description available.

Available since: 3.32

###### ide_code_index_entry_builder_free

No description available.

###### ide_code_index_entry_builder_set_flags

No description available.

###### ide_code_index_entry_builder_set_key

No description available.

###### ide_code_index_entry_builder_set_kind

No description available.

###### ide_code_index_entry_builder_set_name

No description available.

###### ide_code_index_entry_builder_set_range

No description available.